Package org.springframework.expression

# Class AccessException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.springframework.expression.AccessException

All Implemented Interfaces:
  `Serializable`

public class AccessException extends Exception
An AccessException is thrown by an accessor if it has an unexpected problem.

Since:
  3.0
Author:
  Andy Clement
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AccessException(String message)`
Create an AccessException with a specific message.
`AccessException(String message, Exception cause)`
Create an AccessException with a specific message and cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AccessException

public AccessException(String message)
Create an AccessException with a specific message.

Parameters:
  `message` - the message

### AccessException

public AccessException(String message, Exception cause)
Create an AccessException with a specific message and cause.

Parameters:
  `message` - the message
  `cause` - the cause